# OpenFisca France Reforms

[![PyPI version](https://badge.fury.io/py/openfisca-france-reforms.svg)](https://badge.fury.io/py/openfisca-france-reforms)

[![Conda Version](https://anaconda.org/leximpact/openfisca-france-reforms/badges/version.svg)](https://anaconda.org/Leximpact/openfisca-france-reforms)  ![](https://anaconda.org/leximpact/openfisca-france-reforms/badges/latest_release_date.svg)

## _Some reforms for French OpenFisca tax-benefit system_

## Install

```sh
poetry install
```

## Test Reforms

```sh
# poetry run python -m openfisca_france_reforms.plf_2022.scripts.run_test
# poetry run python -m openfisca_france_reforms.prime_partage_valeur.scripts.run_test
# poetry run python -m openfisca_france_reforms.plf_plfss_2023.scripts.run_test
```

## Ajouter le PLF/PLFSS 

- Copier coller le dossier du plf/plfss de l'année en cours, et renommer l'année en cours par l'année N+1.
    Notamment dans le init du dossier remplacer la méthode `PlfPlfss2025` par `PlfPlfss2026`
- Se rendre dans le fichier `openfisca-france-reform > pyproject.toml` : 
- Ajouter une ligne : `plf_plfss_2026 = "openfisca_france_reforms.plf_plfss_2026:PlfPlfss2026"`
- Il n'y a rien a faire pour le contrefactuel, il est valable tous les ans
